Subject: Re: bug#46466: 28.0.50; Tramp hangs with bad prompt even when using /bin/sh

From: Michael Albinus <[email-masked]>
Date: Sat, 19 Jun 2021 10:48:37 +0200

Erik Hetzner <[email-masked]> writes:

> Hi Michael,

Hi Erik,

> Thank you for the reminder. While revisiting this issue I came across
> an alternate fix: adding %l to the tramp-login-args for ssh. I suspect
> there is a reason this is not a viable fix, but I’m not sure what it
> is.

Good that it works for you. However, it can't be applied in general. If
somebody has declared RemoteCommand in ~/.ssh/config, it will
fail. Furthermore, it will fail for direct async processes.

You might keep your local setting, or you might use the "sshx" method
instead of "ssh", which sets RemoteCommand. Does this work for you?

> best, Erik

Best regards, Michael.